Bug 82871 - Disable ENABLE_DATALIST for now
Summary: Disable ENABLE_DATALIST for now
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Keishi Hattori
URL:
Keywords:
Depends on:
Blocks: 27247
  Show dependency treegraph
 
Reported: 2012-04-02 02:39 PDT by Keishi Hattori
Modified: 2012-04-08 11:48 PDT (History)
6 users (show)

See Also:


Attachments
Patch (12.79 KB, patch)
2012-04-02 02:48 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff
Patch (21.84 KB, patch)
2012-04-02 03:17 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff
Patch (33.95 KB, patch)
2012-04-02 04:04 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff
Patch (34.15 KB, patch)
2012-04-02 20:46 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff
Patch (34.00 KB, patch)
2012-04-02 23:25 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keishi Hattori 2012-04-02 02:39:37 PDT
ENABLE_DATALIST is turned on for all ports right now. We should disable it so we can show the fallback content when we don't have a UI.
Comment 1 Keishi Hattori 2012-04-02 02:48:57 PDT
Created attachment 135051 [details]
Patch
Comment 2 Kent Tamura 2012-04-02 02:58:21 PDT
Comment on attachment 135051 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=135051&action=review

You need to update Source/*/Configuration/FeatureDefines.xcconfig, WebKitLibraries/win/tools/vsprops/FeatureDefines.vsprops, and Source/cmake/OptionsEfl.cmake.

> Tools/Scripts/build-webkit:190
> +      define => "ENABLE_DATALIST", default => isBlackBerry(), value => \$datalistSupport },

I'm not sure if Blackberry uses this script.

> LayoutTests/fast/forms/datalist/datalist-nonoption-child.html:4
> +<script src="../../fast/js/resources/js-test-pre.js"></script>

../../js/resource/js-test-pre.js ?
Comment 3 Keishi Hattori 2012-04-02 03:17:28 PDT
Created attachment 135057 [details]
Patch
Comment 4 Kent Tamura 2012-04-02 03:23:37 PDT
Comment on attachment 135057 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=135057&action=review

You need to touch LayoutTests/platform/chromium/test_expectations.txt too.

> WebKitLibraries/win/tools/vsprops/FeatureDefines.vsprops:82
>  		Value="ENABLE_DATALIST"
> -		PerformEnvironmentSet="true"
> +		PerformEnvironmentSet="false"

Do not change PerformEnvironentSet.  What you need to do is to make Value empty.
Comment 5 Keishi Hattori 2012-04-02 04:04:18 PDT
Created attachment 135061 [details]
Patch
Comment 6 Kent Tamura 2012-04-02 17:53:25 PDT
Comment on attachment 135061 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=135061&action=review

> LayoutTests/ChangeLog:9
> +        We should disable ENABLE_DATALIST so we can show the fallback content when we don't have a UI.
> +        Moved datalist tests into directory fast/forms/datalist and added it to Skipped files.

I think the rationale should be in the top-level ChangeLog.

Also, we should say the main reason is incompleteness.
 - We need platform-dependent implementation, and non-BlackBerry platforms don't have it.
 - We need to hide the content of <datalist>, but it is shown for now.

We had better announce this change in webkit-dev.
Comment 7 Keishi Hattori 2012-04-02 20:46:43 PDT
Created attachment 135269 [details]
Patch
Comment 8 Kent Tamura 2012-04-02 22:46:04 PDT
Comment on attachment 135269 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=135269&action=review

Please announce this change to webkit-dev.

> LayoutTests/platform/chromium/test_expectations.txt:1080
> -BUGCR20226 : fast/forms/datalist.html = TEXT
> -BUGCR20226 : fast/forms/input-list.html = FAIL
> -BUGCR20226 : fast/forms/input-selectedoption.html = FAIL
> +BUGCR20226 : fast/forms/datalist/datalist.html = TEXT
> +BUGCR20226 : fast/forms/datalist/input-list.html = FAIL
> +BUGCR20226 : fast/forms/datalist/input-selectedoption.html = FAIL

You can write this as
  BUCR20226 : fast/forms/datalist/ = PASS FAIL
Comment 9 Keishi Hattori 2012-04-02 23:25:23 PDT
Created attachment 135278 [details]
Patch
Comment 10 WebKit Review Bot 2012-04-03 21:43:37 PDT
Comment on attachment 135278 [details]
Patch

Clearing flags on attachment: 135278

Committed r113137: <http://trac.webkit.org/changeset/113137>
Comment 11 WebKit Review Bot 2012-04-03 21:43:42 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Beth Dakin 2012-04-04 13:46:31 PDT
This change appears to have caused platform/mac/fast/forms/input-list-button-size.html  to fail on all of the Mac bots.

The build before this change:
http://build.webkit.org/builders/Lion%20Release%20%28Tests%29/builds/7220

And the first build with this change:
http://build.webkit.org/builders/Lion%20Release%20%28Tests%29/builds/7221

Filing a new bug now.
Comment 13 Beth Dakin 2012-04-04 13:50:52 PDT
Broken layout test --> https://bugs.webkit.org/show_bug.cgi?id=83207
Comment 14 Arvid Nilsson 2012-04-08 11:47:46 PDT
(In reply to comment #2)
> (From update of attachment 135051 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=135051&action=review
> 
> You need to update Source/*/Configuration/FeatureDefines.xcconfig, WebKitLibraries/win/tools/vsprops/FeatureDefines.vsprops, and Source/cmake/OptionsEfl.cmake.
> 
> > Tools/Scripts/build-webkit:190
> > +      define => "ENABLE_DATALIST", default => isBlackBerry(), value => \$datalistSupport },
> 
> I'm not sure if Blackberry uses this script.

Better late than never, I can tell you that we do use this script :)

> 
> > LayoutTests/fast/forms/datalist/datalist-nonoption-child.html:4
> > +<script src="../../fast/js/resources/js-test-pre.js"></script>
> 
> ../../js/resource/js-test-pre.js ?